//---------------------------------------------------------------------------
#ifndef VLEngH
#define VLEngH
//---------------------------------------------------------------------------


class VLType
{
private:
struct VLRecord
{
  AnsiString Title; // Button label for book
  AnsiString Author;
  float Cost;
};
  VLRecord List[20];
  int SelectedItem;

public:
  void Initialise(AnsiString FileName);
  void SetSelection(int SelectionNumber);
  void SetTitle(AnsiString NewBook);
  AnsiString GetTitle(void);
  void SetAuthor(AnsiString NewAuth);
  AnsiString GetAuthor(void);
  void SetBookCost(float NewCost);
  AnsiString GetBookCost(void);
  AnsiString GetPrice(void);
  void SaveData(AnsiString FileName);
};
#endif

